package cn.com.poc.equity.entity;


public class BizMemberPointsEntity {

    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private java.lang.Long id;

    public java.lang.Long getId() {
        return this.id;
    }

    public void setId(java.lang.Long id) {
        this.id = id;
    }

    /**
     * member_id
     * 用户id
     */
    private java.lang.Long memberId;

    public java.lang.Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.Long memberId) {
        this.memberId = memberId;
    }

    /**
     * total_points
     * 总积分
     */
    private java.lang.Long totalPoints;

    public java.lang.Long getTotalPoints() {
        return this.totalPoints;
    }

    public void setTotalPoints(java.lang.Long totalPoints) {
        this.totalPoints = totalPoints;
    }

    /**
     * usage_points
     * 剩余可用积分
     */
    private java.lang.Long usagePoints;

    public java.lang.Long getUsagePoints() {
        return this.usagePoints;
    }

    public void setUsagePoints(java.lang.Long usagePoints) {
        this.usagePoints = usagePoints;
    }

    /**
     * expired_time
     * 积分过期时间
     */
    private java.util.Date expiredTime;

    public java.util.Date getExpiredTime() {
        return this.expiredTime;
    }

    public void setExpiredTime(java.util.Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    /**
     * is_deleted
     * 是否删除 Y 是  N 否
     */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * SYS_VERSION
     * 乐观锁,版本号
     */
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
    }


    /**
     * 扣减次数
     */
    public void decr(long n) {
        this.usagePoints = this.usagePoints - n;
    }

    /**
     * 添加次数
     *
     * @param n
     */
    public void increase(long n) {
        this.usagePoints = this.usagePoints + n;
    }
}